services:
  mapserver:
    image: camptocamp/mapserver
    container_name: mapserver
    volumes:
      - <your dir>/config:/etc/mapserver:rw
      - <your dir>/mapserver.conf:/etc/mapserver.conf:ro
      - <your dir>/maps:/maps:rw
    networks:
      - default
    ports:
      - 80:80
    environment:
      - MS_MAP_NO_PATH=1
      - MS_MAPFILE=/etc/mapserver/wms.map
    restart: unless-stopped

networks:
  default:
    external: true
    name: web_services
